Template Instantiation Observer + a few other templight-related changes

Authored by sabel83 on Oct 11 2017, 1:10 PM.



This is an update to D5767, adding the missing tests.

Diff Detail

sabel83 created this revision.Oct 11 2017, 1:10 PM
r0mai added a subscriber: r0mai.Oct 11 2017, 1:23 PM

Please make sure patches get sent to cfe-commits in addition to the reviewers, as per https://llvm.org/docs/Phabricator.html

rsmith accepted this revision.Nov 8 2017, 7:00 PM
rsmith added a subscriber: rsmith.

Thank you! Please move the tests to a new subdirectory under test, say test/Templight.

37 ↗(On Diff #118676)

Did you mean to include this in this patch? There's no such directory added here. (Should this be an add_llvm_external_project, to pick up some external project if it's checked out here?)

This revision is now accepted and ready to land.Nov 8 2017, 7:00 PM
sabel83 updated this revision to Diff 122324.Nov 9 2017, 1:32 PM
sabel83 marked an inline comment as done.Nov 9 2017, 1:35 PM

I have moved the tests into their own directory in the last update.

37 ↗(On Diff #118676)

It is a reference to a utility based on this patch. The utility has not been finished yet, so I have removed that line.

sabel83 marked an inline comment as done.Nov 9 2017, 1:36 PM

The last update of the patch also contains the changes to this pull request based on comments from D5767.

rsmith closed this revision.Nov 14 2017, 4:49 PM

Let's keep the complete review thread together on https://reviews.llvm.org/D5767.